#!/usr/bin/env python

__revision__ = '$Id: __pkginfo__.py,v 1.7 2004/02/20 15:55:44 alf Exp $'

import sys

if sys.platform == 'win32':
    print """This setup.py script is intended  for use on Unix platforms.
We recommend you to use the windows installer to install Narval on your Windows
machine, which sets some configuration information in the windows registry.
You can get the windows installer from ftp://ftp.logilab.org/pub/narval/

If you still want to install Narval throught this script, please refer to the
Narval technical manual to see which registry variables should be set for
Narval proper operation. You will also have to edit this script to remove the
sys.exit(0) statement on line 18"""    
    sys.exit(0)

from distutils.core import setup
from distutils.command.sdist import sdist


# import required features
from __pkginfo__ import modname, version, license, short_desc, long_desc, \
     web, scripts, author, author_email, web, ftp, mailinglist, data_files

def override_prune_file_list(self):
    build = self.get_finalized_command('build')
    base_dir = self.distribution.get_fullname()
    self.filelist.exclude_pattern(None, prefix=build.build_base)
    self.filelist.exclude_pattern(None, prefix=base_dir)
    self.filelist.exclude_pattern(r'/(RCS|CVS|\.svn)/.*', is_regex=1)

sdist.prune_file_list = override_prune_file_list


############################################################
#
#  Actual Setup Code
#
############################################################


              

def install(**kwargs):
    return setup(
        name = modname,
        version = version,
        description = short_desc,
        author = author,
        author_email = author_email,
        url = web,
        long_description = long_desc,

        packages=['narval',
                  'narval.actions',
                  'narval.communication',
                  'narval.extensions',
                  'narval.extensions.classify',
                  'narval.elements',
                  'narval.interfaces',
                  'narval.protocol_handlers',
                  'narval.services',
                  'narval.test',
                  'narval.tools',
                  ],
        package_dir={'narval': '.'},

        data_files = data_files,#__make_data_files(),

        scripts = scripts,
        **kwargs
        )

    
if __name__ == '__main__' :
    install()
